commit:     c241f65a3c32bd643e5dfb35d40db993eb062640
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 21 11:26:30 2019 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Wed Apr 24 22:30:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c241f65a

dev-libs/libaio: Added live ebuild

Package-Manager: Portage-2.3.64, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>

 .../libaio/files/libaio-0.3.112-cppflags.patch     | 25 +++++++
 dev-libs/libaio/files/libaio-0.3.112-install.patch | 60 +++++++++++++++
 dev-libs/libaio/libaio-9999.ebuild                 | 87 ++++++++++++++++++++++
 3 files changed, 172 insertions(+)

diff --git a/dev-libs/libaio/files/libaio-0.3.112-cppflags.patch 
b/dev-libs/libaio/files/libaio-0.3.112-cppflags.patch
new file mode 100644
index 00000000000..2f1ba4b7aec
--- /dev/null
+++ b/dev-libs/libaio/files/libaio-0.3.112-cppflags.patch
@@ -0,0 +1,25 @@
+From 1df69d571c5b764c42ba17970707cc29d2394a25 Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <[email protected]>
+Date: Sun, 21 Apr 2019 13:04:24 +0200
+Subject: [PATCH 2/2] respect env CPPFLAGS
+
+Signed-off-by: Mike Frysinger <[email protected]>
+---
+ src/Makefile | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/Makefile b/src/Makefile
+index 66534b9..44bbef8 100644
+--- a/src/Makefile
++++ b/src/Makefile
+@@ -5,6 +5,7 @@ usrlibdir=$(libdir)
+ 
+ CFLAGS ?= -g -fomit-frame-pointer -O2
+ CFLAGS += -Wall -I. -fPIC
++CFLAGS += $(CPPFLAGS)
+ SO_CFLAGS=-shared $(CFLAGS)
+ L_CFLAGS=$(CFLAGS)
+ LINK_FLAGS=
+-- 
+2.21.0
+

diff --git a/dev-libs/libaio/files/libaio-0.3.112-install.patch 
b/dev-libs/libaio/files/libaio-0.3.112-install.patch
new file mode 100644
index 00000000000..d1b1873b501
--- /dev/null
+++ b/dev-libs/libaio/files/libaio-0.3.112-install.patch
@@ -0,0 +1,60 @@
+From f8fbbc9733035c96ffb085726bf24d15502e1095 Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <[email protected]>
+Date: Sun, 21 Apr 2019 13:02:16 +0200
+Subject: [PATCH 1/2] fix up install paths
+
+This is similar to the Fedora patch, but this uses more common conventions
+like "DESTDIR" instead of "destdir".
+
+Signed-off-by: Mike Frysinger <[email protected]>
+---
+ Makefile     |  2 +-
+ src/Makefile | 11 ++++++-----
+ 2 files changed, 7 insertions(+), 6 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index c1fb831..e9dbdb0 100644
+--- a/Makefile
++++ b/Makefile
+@@ -14,7 +14,7 @@ all:
+       @$(MAKE) -C src
+ 
+ install:
+-      @$(MAKE) -C src install prefix=$(DESTDIR)$(prefix) 
includedir=$(DESTDIR)$(includedir) libdir=$(DESTDIR)$(libdir)
++      @$(MAKE) -C src install prefix=$(prefix) includedir=$(includedir) 
libdir=$(libdir)
+ 
+ check:
+       @$(MAKE) -C harness check
+diff --git a/src/Makefile b/src/Makefile
+index 37ae219..66534b9 100644
+--- a/src/Makefile
++++ b/src/Makefile
+@@ -1,6 +1,7 @@
+ prefix=/usr
+ includedir=$(prefix)/include
+ libdir=$(prefix)/lib
++usrlibdir=$(libdir)
+ 
+ CFLAGS ?= -g -fomit-frame-pointer -O2
+ CFLAGS += -Wall -I. -fPIC
+@@ -58,12 +59,12 @@ $(libname): $(libaio_sobjs) libaio.map
+       $(CC) $(SO_CFLAGS) -Wl,--version-script=libaio.map 
-Wl,-soname=$(soname) -o $@ $(libaio_sobjs) $(LINK_FLAGS)
+ 
+ install: $(all_targets)
+-      install -D -m 644 libaio.h $(includedir)/libaio.h
+-      install -D -m 644 libaio.a $(libdir)/libaio.a
++      install -D -m 644 libaio.h $(DESTDIR)$(includedir)/libaio.h
++      install -D -m 644 libaio.a $(DESTDIR)$(usrlibdir)/libaio.a
+ ifeq ($(ENABLE_SHARED),1)
+-      install -D -m 755 $(libname) $(libdir)/$(libname)
+-      ln -sf $(libname) $(libdir)/$(soname)
+-      ln -sf $(libname) $(libdir)/libaio.so
++      install -D -m 755 $(libname) $(DESTDIR)$(libdir)/$(libname)
++      ln -sf $(libname) $(DESTDIR)$(usrlibdir)/$(soname)
++      ln -sf $(libname) $(DESTDIR)$(usrlibdir)/libaio.so
+ endif
+ 
+ $(libaio_objs): libaio.h
+-- 
+2.21.0
+

diff --git a/dev-libs/libaio/libaio-9999.ebuild 
b/dev-libs/libaio/libaio-9999.ebuild
new file mode 100644
index 00000000000..ddaf4e22813
--- /dev/null
+++ b/dev-libs/libaio/libaio-9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal toolchain-funcs flag-o-matic
+
+DESCRIPTION="Asynchronous input/output library that uses the kernels native 
interface"
+HOMEPAGE="https://pagure.io/libaio";
+if [[ "${PV}" == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://pagure.io/libaio.git";
+else
+       SRC_URI="https://pagure.io/${PN}/archive/${P}/${P}.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE="static-libs test"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.3.112-install.patch
+       "${FILESDIR}"/${PN}-0.3.112-cppflags.patch
+       "${FILESDIR}"/${PN}-0.3.111-optional-werror.patch
+)
+
+src_prepare() {
+       default
+
+       local sed_args=(
+               -e "/^prefix=/s:/usr:${EPREFIX}/usr:"
+               -e '/^libdir=/s:lib$:$(ABI_LIBDIR):'
+       )
+       if ! use static-libs; then
+               sed_args+=( -e '/\tinstall .*\/libaio.a/d' )
+               # Tests require the static library to be built.
+               use test || sed_args+=( -e '/^all_targets +=/s/ libaio.a//' )
+       fi
+       sed -i "${sed_args[@]}" src/Makefile Makefile || die
+
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       if use arm ; then
+               # When building for thumb, we can't allow frame pointers.
+               # http://crbug.com/464517
+               if $(tc-getCPP) ${CFLAGS} ${CPPFLAGS} - <<<$'#ifndef 
__thumb__\n#error\n#endif' >&/dev/null ; then
+                       append-flags -fomit-frame-pointer
+               fi
+       fi
+}
+
+_emake() {
+       CC=$(tc-getCC) \
+       AR=$(tc-getAR) \
+       RANLIB=$(tc-getRANLIB) \
+       ABI_LIBDIR=$(get_libdir) \
+       CFLAGS_WERROR= \
+       emake "$@"
+}
+
+multilib_src_compile() {
+       _emake
+}
+
+multilib_src_test() {
+       mkdir -p testdir || die
+       # 'make check' breaks with sandbox, 'make partcheck' works
+       _emake partcheck prefix="${S}/src" libdir="${S}/src"
+}
+
+multilib_src_install() {
+       _emake install DESTDIR="${D}"
+
+}
+
+multilib_src_install_all() {
+       doman man/*
+       dodoc ChangeLog TODO
+
+       # move crap to / for multipath-tools #325355
+       gen_usr_ldscript -a aio
+
+       # This lib is a bare minimal shim on top of kernel syscalls.
+       export QA_DT_NEEDED=$(find "${ED}" -type f -name 'libaio.so.*' -printf 
'/%P\n')
+}

Reply via email to